#### Description:

This function modifies a Moc by combining it with a single specified HEALPix cell. The way in which they are combined is determined by the `"` cmode`"` parameter.

#### Synopsis

void astAddCell( AstMoc ∗this, int cmode, int order, int64_t npix )

#### Parameters:

##### this

Pointer to the Moc to be modified.

##### cmode

Indicates how the Moc and specified cell are to be combined. Any of the following values may be supplied:

- AST__AND: If the specified cell is included in the Moc, it is removed. Otherwise the Moc is left unchanged.

- AST__OR: If the specified cell is not included in the Moc, it is added. Otherwise the Moc is left unchanged.

- AST__XOR: The specified cell is toggled - it is removed from the Moc if originally present, and it is added to the Moc if not originally present.

##### order

The HEALPix order of the cell. An error is reported if this is higher than the maximum order allowed in the Moc (as given by its MaxOrder attribute). If no value has been set for the MaxOrder attribute, calling this method causes it to be set to the supplied order value. So the highest order cells should usually be added first.

##### npix

The `"` npix`"` value identifying the required cell (see the MOC recommendation for more details).
Copyright (C) 2021 East Asian Observatory